Subject: bug#19605: cp -v vs LC_ALL vs. quote marks

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 15 Jan 2015 19:38:23 +0800

I am glad that these days plain "'" is being used instead of goofy "`'"
$ LC_ALL=C cp -v /dev/null /tmp/$RANDOM 2>&1
'/dev/null' -> '/tmp/29920'

That way one can not worry about copy and pasting them with the mouse.

The problem is, if I don't use LC_ALL=C then I get the goofy ones, even
high bit too. Please just use ASCII "'", thanks.

# find /mnt/usb/thumb/backups/ -mtime -2 -type f -exec cp -av {} /jidanni_backups/ \;
‘/mnt/usb/thumb/backups/root_bkp2015-01-14-10-11-29.bz2’ -> ‘/jidanni_backups/root_bkp2015-01-14-10-11-29.bz2’

cp (GNU coreutils) 8.23
P.S., I bet other coreutils programs do this too.